package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglBxxDto;
import com.mosty.base.model.query.jcgl.TbJcglBxxQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglBxxService {

    @ApiOperation("新增")
    int addBxx(TbJcglBxxDto bxx);

    @ApiOperation("查询必巡线")
    IPage<TbJcglBxxDto> queryBxx(TbJcglBxxQuery bxxQuery);

    @ApiOperation("编辑必巡线")
    int editBxx(TbJcglBxxDto bxx);

    @ApiOperation("删除必巡线")
    int deleteBxx(List<String> list);

    @ApiOperation("根据ID查询")
    TbJcglBxxDto selectById(String id);

}
